<?php
declare(strict_types = 1);

namespace SalmonDE\UndeadCommand;

use pocketmine\command\CommandSender;
use pocketmine\command\PluginCommand;
use pocketmine\plugin\Plugin;

class ExampleCommand extends PluginCommand {

    public function __construct(Plugin $owner){
        parent::__construct('examplecommand', $owner);
        $this->setPermission('examplecommand');
    }

    public function execute(CommandSender $sender, string $commandLabel, array $args): bool{
        $shouldBeDead = $this->getPlugin()->isDisabled();
        $sender->sendMessage($shouldBeDead ? 'I survived! >:)' : 'You can\'t kill me!');

        return true;
    }
}